| Home | Libraries | People | FAQ | More

#### websocket::stream_base::decorator

Stream option used to adjust HTTP fields of WebSocket upgrade request and responses.

##### Synopsis

Defined in header `<boost/beast/websocket/stream_base.hpp>`

    class decorator

##### Member Functions

Name | Description
--- | ---
decorator | Construct a decorator option.

##### Description

Convenience header `<boost/beast/websocket.hpp>`